#ifndef __Mt_Avs25Params_H__
#define __Mt_Avs25Params_H__

#include "common.h"
#include "../common/params/params.h"
#include "../common/clip/clip.h"
#include "../common/constraints/constraints.h"

namespace MaskTools { namespace Avs25 {

Clip::Clip AVSValueToClip(const AVSValue &value);
Parameters::Operator AVSValueToOperator(const AVSValue &value, const Parameters::Operator &def_op);
Parameters::Value AVSValueToValue(const AVSValue& value);
String ParamToString(const Parameters::Parameter& parameter);
String SignatureToParamsSignature(const Parameters::Signature &signature);
Parameters::Parameters GetParameters(const AVSValue &args, const Parameters::Signature &signature, IScriptEnvironment *env);

} }

#endif
