#ifndef __Mt_Inpand_H__
#define __Mt_Inpand_H__

#include "../../../filters/morphologic/filter.h"

namespace MaskTools { namespace Filters { namespace Morphologic { namespace Inpand {

class Filter : public Morphologic::Filter
{
public:
   Filter(const Parameters::Parameters &parameters);
   static String getName();
   static Parameters::Signature getSignature();
};

extern Processor *inpand_square_c;
extern Processor *inpand8_isse;
extern Processor *inpand8_3dnow;

extern Processor *inpand_horizontal_c;
extern Processor *inpand_vertical_c;
extern Processor *inpand_both_c;

} } } }

#endif